[18.10 FEAT] Enable kexec_file_load system call - kernel part

Bug #1783088 reported by bugproxy on 2018-07-23
16
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
High
Unassigned
linux (Ubuntu)
Undecided
Skipper Bug Screeners

Bug Description

Provide a capability to load signed kernels. I.e. to boot signed kernels
- from a Linux based boot loader or initial boot image
- as required for secure/trusted boot mechanisms
- for kdump kernels

Available with kernel 4.17
Addl. userspace package required for finalize this function -> kexec-tools

bugproxy (bugproxy) on 2018-07-23
tags: added: architecture-s39064 bugnameltc-169876 severity-high targetmilestone-inin1810
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
affects: ubuntu → linux (Ubuntu)
Frank Heimes (frank-heimes) wrote :

Please can you share the relevant commit IDs - thx.

Changed in ubuntu-z-systems:
status: New → Triaged
importance: Undecided → High
Changed in linux (Ubuntu):
status: New → Fix Committed

------- Comment From <email address hidden> 2018-07-30 11:16 EDT-------
Git commits for Kernel part:
include/linux/kexec.h: silence compile warnings [ee6ebeda8d] (+2/-0)
kernel/kexec_file.c: remove checks in kexec_purgatory_load [d2b8178ca7] (+0/-14)
kernel/kexec_file.c: make purgatory_info->ehdr const [65c225d328] (+13/-8)
kernel/kexec_file.c: search symbols in read-only kexec_purgatory [961d921a1b] (+22/-16)
kernel/kexec_file.c: use read-only sections in arch_kexec_apply_relocations* [8aec395b84] (+71/-61)
kernel/kexec_file.c: split up __kexec_load_puragory [930457057a] (+103/-97)
kernel/kexec_file.c: remove unneeded for-loop in kexec_purgatory_setup_sechdrs [f1b1cca396] (+30/-46)
kernel/kexec_file.c: remove unneeded variables in kexec_purgatory_setup_sechdrs [620f697cc2] (+12/-22)
kernel/kexec_file.c: remove mis-use of sh_offset field during purgatory load [8da0b72495] (+13/-34)
kernel/kexec_file.c: allow archs to set purgatory load address [3be3f61d25] (+31/-32)
kernel/kexec_file.c: move purgatories sha256 to common code [df6f2801f5] (+28/-4)

kexec-tools are currently not available upstream

Changed in ubuntu-z-systems:
status: Triaged → Fix Committed
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2018-07-31 05:16 EDT-------
Addl. Git commits missing during the previous post.
s390/kexec_file: Prepare setup.h for kexec_file_load [15ceb8c936] (+27/-13)
s390/kexec_file: Add purgatory [840798a1f5] (+198/-0)
s390/kexec_file: Add kexec_file_load system call [71406883fd] (+144/-0)
s390/kexec_file: Add image loader [e49bb0a27f] (+176/-1)
s390/kexec_file: Add crash support to image loader [ee337f5469] (+234/-6)
s390/kexec_file: Add ELF loader [8be0188271] (+150/-0)
s390/Kconfig: Move kexec config options to "Processor type and features" [bdea9f6f7a] (+20/-21)

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released
Changed in ubuntu-z-systems:
status: Fix Committed → Fix Released
bugproxy (bugproxy) wrote :

------- Comment From <email address hidden> 2018-08-06 05:51 EDT-------
IBM Bugzilla status -> closed, Fix Released within Cosmic

information type: Private → Public
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers